# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Crypt/OpenSSL/RSA.pm) perl(Data/Validator.pm) perl(Exporter.pm) perl(MIME/Base64.pm) perl(Module/Build/Tiny.pm) perl(Mouse.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(URI.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Amazon-CloudFront-SignedURL
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: A module to generate AWS CloudFront signed URLs.
Group: Development/Perl
License: perl
URL: https://github.com/zoncoen/Amazon-CloudFront-SignedURL

Source0: http://cpan.org.ua/authors/id/Z/ZO/ZONCOEN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Amazon::CloudFront::SignedURL generates AWS CloudFront signed URLs.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/A*

%changelog
* Mon Feb 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

